diff --git a/books/bookvol9.pamphlet b/books/bookvol9.pamphlet
index f86c81e..98811f2 100644
--- a/books/bookvol9.pamphlet
+++ b/books/bookvol9.pamphlet
@@ -8416,6 +8416,14 @@ of the symbol being parsed. The original list read:
 
 \end{chunk}
 
+\defun{postTranSegment}{postTranSegment}
+\calls{postTranSegment}{postTran}
+\begin{chunk}{defun postTranSegment}
+(defun |postTranSegment| (p q)
+  (list 'segment (|postTran| p) (when q (|postTran| q))))
+
+\end{chunk}
+
 \defplist{==}{postDef}
 \begin{chunk}{postvars}
 (eval-when (eval load)
@@ -11388,7 +11396,7 @@ Stack of results of reduced productions.
 \usesdollar{tuple2List}{InteractiveMode}
 \begin{chunk}{defun tuple2List}
 (defun |tuple2List| (arg)
- (let (u p tmp2 q)
+ (let (u p q)
  (declare (special |$InteractiveMode| $boot))
   (when (pairp arg)
    (setq u (|tuple2List| (qcdr arg)))
@@ -14686,6 +14694,7 @@ if \verb|$InteractiveMode| then use a null outputstream
 \getchunk{defun postTran}
 \getchunk{defun postTranList}
 \getchunk{defun postTranScripts}
+\getchunk{defun postTranSegment}
 \getchunk{defun postTransform}
 \getchunk{defun postTransformCheck}
 \getchunk{defun postTuple}
diff --git a/changelog b/changelog
index 7441ffe..caaf3e3 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20110301 tpd src/axiom-website/patches.html 20110301.01.tpd.patch
+20110301 tpd src/interp/parsing.lisp treeshake compiler
+20110301 tpd books/bookvol9 treeshake compiler
 20110228 tpd src/axiom-website/patches.html 20110228.05.tpd.patch
 20110228 tpd src/interp/parsing.lisp treeshake compiler
 20110228 tpd books/bookvol9 treeshake compiler
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index dad82c0..f6a944d 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3415,5 +3415,7 @@ books/bookvol9 fix special declaration for lines in preparse1<br/>
 books/bookvol5 add trapNumericErrors<br/>
 <a href="patches/20110228.05.tpd.patch">20110228.05.tpd.patch</a>
 books/bookvol9 treeshake compiler<br/>
+<a href="patches/20110301.01.tpd.patch">20110301.01.tpd.patch</a>
+books/bookvol9 treeshake compiler<br/>
  </body>
 </html>
diff --git a/src/interp/parsing.lisp.pamphlet b/src/interp/parsing.lisp.pamphlet
index f7c4421..e138c44 100644
--- a/src/interp/parsing.lisp.pamphlet
+++ b/src/interp/parsing.lisp.pamphlet
@@ -1753,12 +1753,6 @@ parse
 ;;;     ***       |postInSeq| REDEFINED
 
 (DEFUN |postInSeq| (|seq|) (PROG (|ISTMP#1| |p| |ISTMP#2| |q| |l|) (RETURN (COND ((AND (PAIRP |seq|) (EQ (QCAR |seq|) (QUOTE SEGMENT)) (PROGN (SPADLET |ISTMP#1| (QCDR |seq|)) (AND (PAIRP |ISTMP#1|) (PROGN (SPADLET |p| (QCAR |ISTMP#1|)) (SPADLET |ISTMP#2| (QCDR |ISTMP#1|)) (AND (PAIRP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL) (PROGN (SPADLET |q| (QCAR |ISTMP#2|)) (QUOTE T))))))) (|postTranSegment| |p| |q|)) ((AND (PAIRP |seq|) (EQ (QCAR |seq|) (QUOTE |@Tuple|)) (PROGN (SPADLET |l| (QCDR |seq|)) (QUOTE T))) (|tuple2List| |l|)) ((QUOTE T) (|postTran| |seq|)))))) 
-;postTranSegment(p,q) == ['SEGMENT,postTran p,(q => postTran q; nil)]
-
-;;;     ***       |postTranSegment| REDEFINED
-
-(DEFUN |postTranSegment| (|p| |q|) (CONS (QUOTE SEGMENT) (CONS (|postTran| |p|) (CONS (COND (|q| (|postTran| |q|)) ((QUOTE T) NIL)) NIL)))) 
-
 ;SEGMENT(a,b) == [i for i in a..b]
 
 ;;;     ***       SEGMENT REDEFINED
